package com.ruoyi.system.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 航线文件信息对象 flight_paths
 *
 * @author ruoyi
 * @date 2024-07-25
 */
public class FlightPaths extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 自增ID
     */
    private Long id;

    /**
     * 航线文件名称
     */
    @Excel(name = "航线文件名称")
    private String fileName;

    /**
     * 航线文件URL
     */
    @Excel(name = "航线文件URL")
    private String fileUrl;

    /**
     * 航线文件MD5
     */
    @Excel(name = "航线文件MD5")
    private String fileMd5;

    /**
     * 预计拍照数量
     */
    @Excel(name = "预计拍照数量")
    private Long photoNum;

    /**
     * 航线长度
     */
    @Excel(name = "航线长度")
    private String waylineLen;

    /**
     * 前端标识
     */
    @Excel(name = "前端标识")
    private String flag;

    /**
     * 预计时间
     */
    @Excel(name = "预计时间")
    private String estimateTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /**
     * 航线类型 0 航点航线
     */
    @Excel(name = "航线类型 0 航点航线")
    private Long type;

    /**
     * 航点数据
     */
    @Excel(name = "航点数据")
    private String points;

    public String getIsImport() {
        return isImport;
    }

    public void setIsImport(String isImport) {
        this.isImport = isImport;
    }

    private String isImport;

    // 0升序 1降序
    private Integer order;


    public Double getGlobalPointHeight() {
        return globalPointHeight;
    }

    public void setGlobalPointHeight(Double globalPointHeight) {
        this.globalPointHeight = globalPointHeight;
    }

    // 画航线的全局高度
    private Double globalPointHeight;

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    private Date updatedAt;

    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }


    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    // 设备类型
    private String deviceType;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileMd5(String fileMd5) {
        this.fileMd5 = fileMd5;
    }

    public String getFileMd5() {
        return fileMd5;
    }

    public void setPhotoNum(Long photoNum) {
        this.photoNum = photoNum;
    }

    public Long getPhotoNum() {
        return photoNum;
    }

    public void setWaylineLen(String waylineLen) {
        this.waylineLen = waylineLen;
    }

    public String getWaylineLen() {
        return waylineLen;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setEstimateTime(String estimateTime) {
        this.estimateTime = estimateTime;
    }

    public String getEstimateTime() {
        return estimateTime;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getType() {
        return type;
    }

    public void setPoints(String points) {
        this.points = points;
    }

    public String getPoints() {
        return points;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("fileName", getFileName())
                .append("fileUrl", getFileUrl())
                .append("fileMd5", getFileMd5())
                .append("photoNum", getPhotoNum())
                .append("waylineLen", getWaylineLen())
                .append("flag", getFlag())
                .append("estimateTime", getEstimateTime())
                .append("createdAt", getCreatedAt())
                .append("type", getType())
                .append("points", getPoints())
                .toString();
    }
}
